services:
  - docker:dind

laravel-queue:
  stage: build
  script:
    - docker build --pull -t "$CI_REGISTRY_IMAGE/laravel-queue" ./laravel-queue
    - docker push "$CI_REGISTRY_IMAGE/laravel-queue"
  only:
    - master

laravel-cron:
  stage: build
  script:
    - docker build --pull -t "$CI_REGISTRY_IMAGE/laravel-cron" ./laravel-cron
    - docker push "$CI_REGISTRY_IMAGE/laravel-cron"
  only:
    - master

laravel-nginx:
  stage: build
  script:
    - docker build --pull -t "$CI_REGISTRY_IMAGE/laravel-nginx" ./laravel-nginx
    - docker push "$CI_REGISTRY_IMAGE/laravel-nginx"
  only:
    - master

laravel-nginx-dev:
  stage: build
  script:
    - docker build --pull -t "$CI_REGISTRY_IMAGE/laravel-nginx-dev" ./laravel-nginx-dev
    - docker push "$CI_REGISTRY_IMAGE/laravel-nginx-dev"
  only:
    - master

laravel-php:
  stage: build
  script:
    - docker build --pull -t "$CI_REGISTRY_IMAGE/laravel-php" ./laravel-php
    - docker push "$CI_REGISTRY_IMAGE/laravel-php"
  only:
    - master
